Bug 741808 - ipa migrate-ds does not migrate all groups that are expected to migrate
Summary: ipa migrate-ds does not migrate all groups that are expected to migrate
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.1
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: IDM QE LIST
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-28 01:11 UTC by Michael Gregg
Modified: 2014-08-05 11:17 UTC (History)
2 users (show)

Fixed In Version: ipa-2.1.2-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: An LDAP object migrated via migrate-ds command may contain multi-valued RDN attribute. However, migrate-ds process just picks the first value of the RDN attribute and does not respect the value that was present in the DN in the migrated LDAP object Consequence: Migrated LDAP object may contain invalid RDN. If there is another LDAP object with the same RDN value, migrate-ds process reports error and fails to migrate these objects Fix: Do not pick the first value of multi-valued RDN but use the value that is used in original LDAP object DN Result: LDAP objects with multi-valued RDN attribute are migrated without error
Clone Of:
Environment:
Last Closed: 2011-12-06 18:32:53 UTC
Target Upstream Version:


Attachments (Terms of Use)
This is a dump of the entire group ou to migrate (2.11 KB, application/octet-stream)
2011-09-28 01:11 UTC, Michael Gregg
no flags Details
ldif of the group that I am expecting to migrate (254 bytes, application/octet-stream)
2011-09-28 01:12 UTC, Michael Gregg
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Michael Gregg 2011-09-28 01:11:08 UTC
Created attachment 525238 [details]
This is a dump of the entire group ou to migrate

Description of problem:
Starting with a configured DS server containing a group ou of ou=Groups,dc=bos,dc=redhat,dc=com, When you add a new group to that ou, I expect that the group will get migrated along with the other groups in that ou. 
migrate-ds seems to only migrate some of the groups.

Version-Release number of selected component (if applicable):
ipa-server-2.0.0-23.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. create ds setup containing the group ou of ou=Groups,dc=bos,dc=redhat,dc=com
2. add the user specified in the attached user-to-add.ldif
3. run "ipa migrate-ds" to migrate from that server. 
4. search for that user in the new IPA
  
Actual results:
[root@ipaqa64vmb ds-migration]# ipa group-find group1000
----------------
0 groups matched
----------------
----------------------------
Number of entries returned 0
----------------------------


Expected results:


Additional info:
Error logs look good during the migration, my speculation is that the ldap query isn't picking up all of the groups to migrate.

Comment 1 Michael Gregg 2011-09-28 01:12:23 UTC
Created attachment 525239 [details]
ldif of the group that I am expecting to migrate

Comment 2 Michael Gregg 2011-09-28 01:13:14 UTC
Additional: the other groups in this ou do seem to migrate properly.

I have some machines to play with if you need a working setup.

Comment 4 Rob Crittenden 2011-09-28 02:43:05 UTC
What groups migrated? Do you have the output of the migration command (or can you duplicate it)? It should list the groups that aren't migrated and a reason.

Comment 5 Michael Gregg 2011-09-28 18:10:00 UTC
The groups that are migrated are: accounting managers, hr managers, pd managers, qa managers

The output from the migrate command is as follows:

-----------
migrate-ds:
-----------
Migrated:
  user: user2000, user1000, user2009
  group: accounting managers, hr managers, qa managers, pd managers
Failed user:
Failed group:
----------
Passwords have been migrated in pre-hashed format.
IPA is unable to generate Kerberos keys unless provided
with clear text passwords. All migrated users need to
login at https://your.domain/ipa/migration/ before they
can use their Kerberos accounts.

Comment 6 Dmitri Pal 2011-09-28 21:36:55 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/1892

Comment 7 Martin Kosek 2011-09-29 09:52:57 UTC
The problem here is that migrated groups contained multivalued CN used in group's RDN. Migrate process just took the first RDN attribute value and since it was already migrated ("pd managers") it didn't add it.

My plan is to take the attribute value used in the DN and not just the first one.

Comment 11 Martin Kosek 2011-11-01 08:27:58 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: An LDAP object migrated via migrate-ds command may contain multi-valued RDN attribute. However, migrate-ds process just picks the first value of the RDN attribute and does not respect the value that was present in the DN in the migrated LDAP object
Consequence: Migrated LDAP object may contain invalid RDN. If there is another LDAP object with the same RDN value, migrate-ds process reports error and fails to migrate these objects
Fix: Do not pick the first value of multi-valued RDN but use the value that is used in original LDAP object DN
Result: LDAP objects with multi-valued RDN attribute are migrated without error

Comment 12 Michael Gregg 2011-11-08 00:30:03 UTC
Verified against ipa-server-2.1.3-8.el6.x86_64

Used the same test that I used when I created this bug report. 

Output of the test containing the groups that I am expecting. 

:: [   PASS   ] :: enabling migration
-----------
migrate-ds:
-----------
Migrated:
  group: group1000, group2000

Comment 13 errata-xmlrpc 2011-12-06 18:32:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.